These are chat archives for ceylon/ceylon-ide-eclipse

23rd
Mar 2016
Gavin King
@gavinking
Mar 23 2016 16:01
can’t build
    [exec] compile:
     [exec] Note: Created module com.redhat.ceylon.eclipseDependencies/1.2.3
     [exec] error: Constructor for 'com.redhat.ceylon.ide.common.model.CeylonProjects' should take 4 reified type arguments (TypeDescriptor) but has '0': skipping constructor.
     [exec] error: Constructor for 'com.redhat.ceylon.ide.common.model.CeylonProjects' should take 4 reified type arguments (TypeDescriptor) but has '0': skipping constructor.
     [exec] error: Constructor for 'com.redhat.ceylon.ide.common.model.CeylonProjects' should take 4 reified type arguments (TypeDescriptor) but has '0': skipping constructor.
     [exec] error: Constructor for 'com.redhat.ceylon.ide.common.model.CeylonProjects' should take 4 reified type arguments (TypeDescriptor) but has '0': skipping constructor.
     [exec] error: Constructor for 'com.redhat.ceylon.ide.common.model.CeylonProjects' should take 4 reified type arguments (TypeDescriptor) but has '0': skipping constructor.
     [exec] /Users/gavin/ceylon-ide-eclipse/plugins/com.redhat.ceylon.eclipse.ui/source/com/redhat/ceylon/eclipse/core/model/EclipseCeylonProject.ceylon:42: warning: import is never used: 'FolderVirtualFile'
     [exec]     FolderVirtualFile
     [exec]     ^
     [exec] /Users/gavin/ceylon-ide-eclipse/plugins/com.redhat.ceylon.eclipse.ui/source/com/redhat/ceylon/eclipse/core/model/EclipseCeylonProject.ceylon:45: warning: import is never used: 'Package'
     [exec]     Package
     [exec]     ^
     [exec] /Users/gavin/ceylon-ide-eclipse/plugins/com.redhat.ceylon.eclipse.ui/source/com/redhat/ceylon/eclipse/core/model/EclipseCeylonProject.ceylon:55: warning: import is never used: 'WeakReference'
     [exec]     WeakReference
     [exec]     ^
     [exec] /Users/gavin/ceylon-ide-eclipse/plugins/com.redhat.ceylon.eclipse.ui/source/com/redhat/ceylon/eclipse/module.ceylon:15: warning: You import JDK7, which is provided by the JDK8 you are running on, but we cannot check that you are not using any JDK8-specific classes or methods. Upgrade your import to JDK8 if you depend on JDK8 classes or methods.
     [exec]     shared import java.base "7";
     [exec]     ^
     [exec] /Users/gavin/ceylon-ide-eclipse/plugins/com.redhat.ceylon.eclipse.ui/source/com/redhat/ceylon/eclipse/module.ceylon:16: warning: You import JDK7, which is provided by the JDK8 you are running on, but we cannot check that you are not using any JDK8-specific classes or methods. Upgrade your import to JDK8 if you depend on JDK8 classes or methods.
     [exec]     shared import java.compiler "7";
     [exec]     ^
     [exec] /Users/gavin/ceylon-ide-eclipse/plugins/com.redhat.ceylon.eclipse.ui/source/com/redhat/ceylon/eclipse/module.ceylon:17: warning: You import JDK7, which is provided by the JDK8 you are running on, but we cannot check that you are not using any JDK8-specific classes or methods. Upgrade your import to JDK8 if you depend on JDK8 classes or methods.
     [exec]     shared import javax.xml "7";
     [exec]     ^
     [exec] 5 errors
David Festal
@davidfestal
Mar 23 2016 16:02
yes, that's because of ceylon/ceylon#6134
I've been working on it today to
find out the root cause
that I finally find debugging the CLI
I'm about to push a change that will avoid falling on this bug
Gavin King
@gavinking
Mar 23 2016 16:07
ok, thanks